=begin pod

=TITLE class X::TypeCheck

    class X::TypeCheck is Exception { }

Error class thrown when a type check fails.

=head1 Methods

=head2 operation

    method operation() returns Str:D

Returns a string description of the operation that failed, for example
C<"assignment">, C<"binding">, C<"return">.

=head2 got

    method got()

Returns the object that failed to type check

=head2 expected

    method expected()

Returns the type object against which the check failed.

=end pod
